Package cs2030s.fp

## Interface Immutatorable<T>

- Type Parameters:
    `T` - The type of the content.
  All Known Implementing Classes:
    `Actually`, `Actually.Failure`, `Actually.Success`, `Lazy`, `Memo`

      public interface Immutatorable<T>

  Represent a container that can transforms its content to produce another container containing the immutated element, possible of different types. CS2030S Lab 5 AY22/23 Semester 1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<R> Immutatorable<R>` | `transform​(Immutator<? extends R,​? super T> f)` | The method to produce another container with immutated element.

- - ### Method Detail

    - #### transform

          <R> Immutatorable<R> transform​(Immutator<? extends R,​? super T> f)

      The method to produce another container with immutated element.
      Type Parameters:
        `R` - the return type
      Parameters:
        `f` - The immutator.
      Returns:
        A new container containing the immutated element.